#ifndef BREEZE_MEMORY_H
#define BREEZE_MEMORY_H

#include "../defines.h"

void *bzAlloc(size_t numBytes);
void bzFree(void *ptr);
void *bzCalloc(size_t numBytes, size_t count);
void *bzResize(void *ptr, size_t newSize);

void *bzMemSet(void *ptr, int value, size_t numBytes);
void *bzMemMove(void *dst, void *src, size_t numBytes);
void *bzMemCpy(void *dst, void *src, size_t numBytes);


#endif //BREEZE_MEMORY_H
